
CoCoA-5 - Design #1551

Emacs: avoid making buffer visible in 2 "windows"?

13 Dec 2020 11:06 - John Abbott

Status: New Start date: 13 Dec 2020

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: EmacsUI Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.25 hour

Description

In Emacs if I type M-x cocoa5 RET it changes the current "window"(?) to show *cocoa5* buffer even if this buffer is already visible in

another "window" in the same frame.

Suggest changing it so that it switches to the already-visible "window" (rather than having 2 "windows" showing the *cocoa5* buffer).

Related issues:

Related to CoCoA-5 - Design #1432: Emacs UI: cocoa5-shell-check-process vs. p... New 03 Mar 2020

History

#1 - 13 Dec 2020 11:07 - John Abbott

- Priority changed from Normal to Low

After a quick search I found the following useful link:

https://emacs.stackexchange.com/questions/2959/how-to-know-my-buffers-visible-focused-status

#2 - 13 Dec 2020 11:08 - John Abbott

- Related to Design #1432: Emacs UI: cocoa5-shell-check-process vs. process-status added

#3 - 19 Apr 2021 14:11 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
